CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [opzioni]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[OPZIONI]

--add-simple-plugin
    Aggiungi un plugin semplice (es. un plugin composto dal solo file .py), specificando il percorso del file py contenente il codice del plugin.

--command, -c
    Esegui codice Python.

--debug-device-driver, -d
    Debug riconoscimento dispositivi

--default-programs
    Imposta/rimuovi Calibre dai programmi predefiniti di Windows --default-programs = (register|unregister)

--diff
    Esegui lo strumento diff di calibre. Ad esempio: calibre-debug --diff file1 file2

--edit-book, -t
    Avvia lo strumento "Modifica libro" in modalità debug

--exec-file, -e
    Esegui codice Python nel file.

--explode-book, -x
    Explode the book into the specified directory. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export dir and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export directory and libraries. The special keyword "all" can be used to export all libraries.

--gui, -g
    Avvia l'interfaccia con il debug abilitato. Il risultato del debug è stampato su stdout e stderr.

--gui-debug
    Avvia l'interfaccia con una console di debug, registrando i log in un percorso specificato. Solo per uso interno, utilizza l'opzione -g per avviare l'interfaccia nella modalità debug

--help, -h
    mostra questo messaggio di aiuto ed esci

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Importa i dati esportati in precedenza

--inspect-mobi, -m
    Analizza i file MOBI nel percorso specifico

--paths
    Fornisce i percorsi necessari per configurare l'ambiente di calibre

--reinitialize-db
    Ri-inizializza il database sqlite al percorso specificato. Utile in caso di db corrotto

--run-plugin, -r
    Esegui un plugin con interfaccia a riga di comando. Ad esempio: calibre-debug -r "Add Books" -- file1 --option1 Ogni cosa dopo il -- sarà passata al plugin come argomento.

--shutdown-running-calibre, -s
    A causa di un'istanza calibre in esecuzione, se del caso, da arrestare. Nota che se ci sono lavori in esecuzione, essi saranno interrotti silenziosamente, perciò usala con attenzione.

--subset-font, -f
    Creare una sottoclasse di font specifici. Usa -- dopo questa opzione per passare al programma dedicato ai font.

--test-build
    Prova moduli binari in costruzione

--version
    mostra la versione del programma ed esci

--viewer, -w
    Esegui lettore di e-book in modalità debug

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal